commit:     7a461b76c112bf52f928d75ecf7279759b7c9900
Author:     Tony Vroon <chainsaw <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 13 10:23:09 2018 +0000
Commit:     Tony Vroon <chainsaw <AT> gentoo <DOT> org>
CommitDate: Fri Jul 13 10:33:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a461b76

sci-libs/dlib: Version bump to 19.9

>From donat-b on GitHub, with thanks.
Apologies for strange commit style, this is due to GitHub tooling issues.
Have had to pull the raw files out as the diff is broken. Somehow.

Closes: https://github.com/gentoo/gentoo/pull/7207
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 sci-libs/dlib/Manifest         |  1 +
 sci-libs/dlib/dlib-19.9.ebuild | 75 ++++++++++++++++++++++++++++++++++++++++++
 sci-libs/dlib/metadata.xml     |  1 +
 3 files changed, 77 insertions(+)

diff --git a/sci-libs/dlib/Manifest b/sci-libs/dlib/Manifest
index 326d98722fb..e29ea272a5f 100644
--- a/sci-libs/dlib/Manifest
+++ b/sci-libs/dlib/Manifest
@@ -1,2 +1,3 @@
 DIST dlib-19.4.tar.gz 7226923 BLAKE2B 
2d72936fc46d559a80288e7f88a64c372fb5f8dcfc69b57abee8a27519f3084fa0cf4193261dd9758f9eb718e755d46a17655e38cb74aaa0046855f11676e157
 SHA512 
23bf80353f9b6ce07b6a3a7df05016705645c18bcf2b3ead567935008ea12c9f6dc0722d9bbacc009bd26f78eb43c1cbecf776bfed5a3445c1f2e8e208f201e2
 DIST dlib-19.7.tar.gz 7670615 BLAKE2B 
13343f3b99bf5dd7a9c032de09eff47f1675bbc978a93edfbd952196b2347e4a887a8eed805f22985477b10ecfa1df85fc568e32f1a00b17b0292a0a51db9764
 SHA512 
a3877066e04a411d96e910f4229c60a86971a9290e840aa4a5b2f0b102e9b8c37bfede259b80b71ba066d21eb0aa2565808e51d0eab6397ff5fd2bac60dcedd5
+DIST dlib-19.9.tar.gz 8892457 BLAKE2B 
d18548e09f8169bbc9d7f339599bd58b940410839b259a8d7be9cb999f82e634ad5cd0539adb45239dab821ea1029493d24ae9990ca32c75c744e2c5d9e218f6
 SHA512 
1e2123c22e1b13cc84108fa627bfa92eadc9dee63f93a9f45676bbf2b752c8728117d915ac327f5223b0cdbce87dd3bef2f4d8d5ed3f8f5a314ffa9e8962a246

diff --git a/sci-libs/dlib/dlib-19.9.ebuild b/sci-libs/dlib/dlib-19.9.ebuild
new file mode 100644
index 00000000000..82d750cd9a8
--- /dev/null
+++ b/sci-libs/dlib/dlib-19.9.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+inherit python-r1 cmake-utils cuda
+
+DESCRIPTION="Numerical and networking C++ library"
+HOMEPAGE="http://dlib.net/";
+SRC_URI="https://github.com/davisking/dlib/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Boost-1.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="cblas debug cuda examples gif jpeg lapack mkl png python sqlite 
static-libs test X"
+
+# doc needs a bunch of deps not in portage
+
+RDEPEND="
+       cblas? ( virtual/cblas:= )
+       cuda? ( dev-libs/cudnn:= )
+       jpeg? ( virtual/jpeg:0= )
+       lapack? ( virtual/lapack:= )
+       mkl? ( sci-libs/mkl:= )
+       png? ( media-libs/libpng:0= )
+       python? ( ${PYTHON_DEPS} )
+       sqlite? ( dev-db/sqlite:3= )
+       X? ( x11-libs/libX11:= )
+"
+DEPEND="test? ( ${RDEPEND} )"
+
+src_prepare() {
+       use cuda && cuda_src_prepare
+       cmake-utils_src_prepare
+       sed -i -e '/LICENSE.txt/d' dlib/CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DLIB_INSTALL_DIR="$(get_libdir)"
+               -DDLIB_ENABLE_ASSERTS="$(usex debug)"
+               -DDLIB_ENABLE_STACK_TRACE="$(usex debug)"
+               -DDLIB_GIF_SUPPORT="$(usex gif)"
+               -DDLIB_JPEG_SUPPORT="$(usex jpeg)"
+               -DDLIB_PNG_SUPPORT="$(usex png)"
+               -DDLIB_LINK_WITH_SQLITE3="$(usex sqlite)"
+               -DDLIB_NO_GUI_SUPPORT="$(usex X OFF ON)"
+               -DDLIB_USE_BLAS="$(usex cblas)"
+               -DDLIB_USE_CUDA="$(usex cuda)"
+               -DDLIB_USE_LAPACK="$(usex lapack)"
+               -DBOOST_LIBRARYDIR="${EPREFIX}/usr/$(get_libdir)"
+       )
+       cmake-utils_src_configure
+}
+
+src_test() {
+       mkdir "${BUILD_DIR}"/dlib/test || die
+       pushd "${BUILD_DIR}"/dlib/test > /dev/null || die
+       cmake "${S}"/dlib/test && emake
+       ./dtest --runall || die
+       popd > /dev/null || die
+}
+
+src_install() {
+       cmake-utils_src_install
+       if use python; then
+               python_foreach_impl python_domodule ${PN}
+       fi
+       dodoc docs/README.txt
+       use static-libs || rm -f "${ED}"/usr/$(get_libdir)/*.a
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}
+       fi
+}

diff --git a/sci-libs/dlib/metadata.xml b/sci-libs/dlib/metadata.xml
index 422f29c52e5..97d198eb46b 100644
--- a/sci-libs/dlib/metadata.xml
+++ b/sci-libs/dlib/metadata.xml
@@ -15,6 +15,7 @@
     <flag name="cblas">Build with CBLAS <pkg>virtual/cblas</pkg></flag>
     <flag name="cuda">Enable support for CUDA for Deep Neural Networks (cuDNN) 
on GPU (experimental)</flag>
     <flag name="mkl">Enable support for Intel FFT 
<pkg>sci-libs/mkl</pkg></flag>
+    <flag name="python">Enable support for Python API bindings</flag>
   </use>
   <upstream>
     <remote-id type="github">davisking/dlib</remote-id>

Reply via email to